gnutls_certificate_set_openpgp_keyring_file(3)

NAME
gnutls_certificate_set_openpgp_keyring_file - API function

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_certificate_set_openpgp_keyring_file(gnutls_certificate_credentials_t c, const char * file, gnutls_openpgp_crt_fmt_t format);

ARGUMENTS

gnutls_certificate_credentials_t c
    A certificate credentials structure

const char * file
    filename of the keyring.

gnutls_openpgp_crt_fmt_t format
    format of keyring.

DESCRIPTION
The function is used to set keyrings that will be used internally by various OpenPGP functions. For example to find a key when it is needed for an operations. The keyring will also be used at the verification functions.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/